Summary: A free and portable TrueType font rendering engine.
Name: freetype
Version: 1.3.1
Release: 7
License: BSD-like
Group: System Environment/Libraries
Source: freetype-%{version}.tar.gz
Source1: ttmkfdir.tar.gz
Patch0: freetype-1.2-fixpath.patch
Patch1: freetype-1.3.1-foundrynames.patch
Buildroot: %{_tmppath}/%{name}-root
URL: http://freetype.sourceforge.net

%description
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments. FreeType is a library which can open and
manages font files as well as efficiently load, hint and render
individual glyphs. FreeType is not a font server or a complete
text-rendering library.

%package utils
Summary: Several utilities to manipulate and examine TrueType fonts.
Group: Applications/Publishing

%description utils
This package contains several utilities which allow you to view and
manipulate TrueType fonts.  They are mainly useful for debugging and
testing purposes, and are not required for using the FreeType
library.

%package devel
Summary: Header files and static library for development with FreeType.
Group: Development/Libraries

%description devel
The freetype-devel package contains the header files and static
library needed to develop or compile applications which use the
FreeType TrueType font rendering library. 

Install freetype-devel if you want to develop FreeType
applications. If you simply want to run existing applications, you
won't need this package.

%prep
%setup -q
mkdir ttmkfdir
tar xz -C ttmkfdir -f %{SOURCE1}
%patch0 -p1 -b .fixpath
%patch1 -p1 -b .foundrynames

%build
%configure --disable-debug \
	--enable-static --enable-shared \
	--with-locale-dir=%{_datadir}/locale
make
make -C ttmkfdir CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall gnulocaledir=%{buildroot}%{_datadir}/locale
install -m 755 ttmkfdir/ttmkfdir $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ttmkfdir
%{_libdir}/libttf.so.*
%{_datadir}/locale/*
%doc README  announce docs

%files utils
%defattr(-,root,root)
%{_bindir}/ftdump
%{_bindir}/fterror
%{_bindir}/ftlint
%{_bindir}/ftmetric
%{_bindir}/ftsbit
%{_bindir}/ftstring
%{_bindir}/ftstrpnm
%{_bindir}/ftstrtto
%{_bindir}/fttimer
%{_bindir}/ftview
%{_bindir}/ftzoom

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libttf.la
%{_libdir}/libttf.so
%{_libdir}/libttf.a

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- move .la file to devel pkg
- FHS paths

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- revert spaces patch, fix up some foundry names to match X ones

* Mon Feb 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- add defattr, ftmetric, ftsbit, ftstrtto per bug #9174

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- make ttmkfdir replace spaces in family names with underscores (#7613)

* Tue Jan 11 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.3.1
- handle RPM_OPT_FLAGS

* Wed Nov 10 1999 Preston Brown <pbrown@redhat.com>
- fix a path for ttmkfdir Makefile

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- newer ttmkfdir that works better, moved ttmkfdir to /usr/bin from /usr/sbin
- freetype utilities moved to subpkg, X dependency removed from main pkg
- libttf.so symlink moved to devel pkg

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed the %doc file list

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added ttmkfdir

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- update to 1.2

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to sanitize config.sub and get ARM support
- dispoze of the patch (not necessary anymore)

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- post/postun sections for ldconfig action.

* Tue Oct 20 1998 Preston Brown <pbrown@redhat.com>
- initial RPM, includes normal and development packages.
